Subject: RE:Heated blanket #Ref 2021021900090523
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 19 Feb 2021 16:12:32 -0800

Hello Bryan,

Thank you for your email.  I am sorry to hear you are experiencing problems with your electric product. Please contact JLA Home at 1-866-456-8852; they will be able to assist you. They will need the following information to register your product and to assist you further.  Their hours are M-F 7am - 3:30pm (PST).

Amazon order ID number
Your Physical Mailing Address:
Phone number:
Brand of Product:
Product Category:
Size of product:
Color of Product:
Controller Model No.:
Place of Purchase:
Date of Purchase:
Price of Purchase:
RN#: (this can be found on the bottom of the controller)
Stamped Date Code: (Located on the big white sewn on label)

If you have not already done so, we recommend that you please try and trouble shoot your electric product.  Please disconnect the controller and disconnect the power cord; wait 30 minutes and then plug the controller back into the Blanket and power cord. This may help to reset the unit.  If this does not fix the issue please contact our Customer Service at 1-866-456-8852

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

E&E Co. Ltd. dba JLA Home

===============================================================================

Hello! I need assistance with my heated blanket. It stopped working. I purchased it on Amazon on December 4th, 2020 and it is not working now. How can I get a return or replacement?

Thank you!
-Bryan

Sent from my iPhone